#include "hblastrecorddet.h"

HBlastRecordDet::HBlastRecordDet(QObject *parent) : QObject(parent) {
    // 可以在这里进行一些初始化操作
}

qint64 HBlastRecordDet::getId() const { return id; }

void HBlastRecordDet::setId(qint64 newId) { id = newId; }

QString HBlastRecordDet::getUuid() const { return uuid; }

void HBlastRecordDet::setUuid(const QString &newUuid) { uuid = newUuid; }

QString HBlastRecordDet::getOutCode() const { return outCode; }

void HBlastRecordDet::setOutCode(const QString &newOutCode) { outCode = newOutCode; }

QString HBlastRecordDet::getInnerCode() const { return innerCode; }

void HBlastRecordDet::setInnerCode(const QString &newInnerCode) { innerCode = newInnerCode; }

QString HBlastRecordDet::getUid() const { return uid; }

void HBlastRecordDet::setUid(const QString &newUid) { uid = newUid; }

QString HBlastRecordDet::getStatus() const { return status; }

void HBlastRecordDet::setStatus(const QString &newStatus) { status = newStatus; }

QString HBlastRecordDet::getFreq() const { return freq; }

void HBlastRecordDet::setFreq(const QString &newFreq) { freq = newFreq; }

QString HBlastRecordDet::getDelayTime() const { return delayTime; }

void HBlastRecordDet::setDelayTime(const QString &newDelayTime) { delayTime = newDelayTime; }

QString HBlastRecordDet::getTag() const { return tag; }

void HBlastRecordDet::setTag(const QString &newTag) { tag = newTag; }

QString HBlastRecordDet::getBlastRecordUuid() const { return blastRecordUUID; }

void HBlastRecordDet::setBlastRecordUuid(QString newBlastRecordId) {
    blastRecordUUID = newBlastRecordId;
}

QString HBlastRecordDet::getEquipmentRecordUuid() const { return equipmentRecordUUID; }

void HBlastRecordDet::setEquipmentRecordUuid(QString newRegId) { equipmentRecordUUID = newRegId; }

QDateTime HBlastRecordDet::getCreatedAt() const { return createdAt; }

void HBlastRecordDet::setCreatedAt(const QDateTime &newCreatedAt) { createdAt = newCreatedAt; }

QDateTime HBlastRecordDet::getUpdatedAt() const { return updatedAt; }

void HBlastRecordDet::setUpdatedAt(const QDateTime &newUpdatedAt) { updatedAt = newUpdatedAt; }

QDateTime HBlastRecordDet::getDeletedAt() const { return deletedAt; }

void HBlastRecordDet::setDeletedAt(const QDateTime &newDeletedAt) { deletedAt = newDeletedAt; }

qint64 HBlastRecordDet::getCreateBy() const { return createBy; }

void HBlastRecordDet::setCreateBy(qint64 newCreateBy) { createBy = newCreateBy; }

qint64 HBlastRecordDet::getUpdateBy() const { return updateBy; }

void HBlastRecordDet::setUpdateBy(qint64 newUpdateBy) { updateBy = newUpdateBy; }

QJsonObject HBlastRecordDet::ToJson() {
    QJsonObject jsonObject;
    // jsonObject["id"] = this->getId();
    jsonObject["uuid"] = this->getUuid();
    jsonObject["out_code"] = this->getOutCode();
    jsonObject["in_code"] = this->getInnerCode();
    jsonObject["uid"] = this->getUid();
    jsonObject["status"] = this->getStatus();
    jsonObject["freq"] = this->getFreq();
    jsonObject["delay_time"] = this->getDelayTime();
    jsonObject["tag"] = this->getTag();
    jsonObject["blast_record_id"] = this->getBlastRecordUuid();
    jsonObject["reg_id"] = this->getEquipmentRecordUuid();
    jsonObject["created_at"] = this->getCreatedAt().toString(Qt::ISODateWithMs);
    jsonObject["updated_at"] = this->getUpdatedAt().toString(Qt::ISODateWithMs);
    jsonObject["deleted_at"] = this->getDeletedAt().toString(Qt::ISODateWithMs);
    jsonObject["create_by"] = this->getCreateBy();
    jsonObject["update_by"] = this->getUpdateBy();

    return jsonObject;
}
